/* Generated By:JJTree&JavaCC: Do not edit this line. QueryParserTokenManager.java */
package com.yahoo.pig.impl.logicalLayer.parser;
import java.io.*;
import java.util.*;
import java.lang.reflect.*;
import com.yahoo.pig.impl.logicalLayer.*;
import com.yahoo.pig.impl.eval.*;
import com.yahoo.pig.impl.eval.func.*;
import com.yahoo.pig.impl.eval.groupby.*;
import com.yahoo.pig.impl.eval.filter.*;
import com.yahoo.pig.impl.eval.window.*;
import com.yahoo.pig.impl.eval.sad.*;
import com.yahoo.pig.impl.logicalLayer.schema.*;
import com.yahoo.pig.*;
import com.yahoo.pig.impl.PigContext;
import com.yahoo.pig.PigServer.ExecType;
import com.yahoo.pig.impl.physicalLayer.IntermedResult;
import com.yahoo.pig.impl.io.FileLocalizer;
import com.yahoo.pig.builtin.*;

public class QueryParserTokenManager implements QueryParserConstants
{
  public  java.io.PrintStream debugStream = System.out;
  public  void setDebugStream(java.io.PrintStream ds) { debugStream = ds; }
private final int jjStopStringLiteralDfa_0(int pos, long active0, long active1)
{
   switch (pos)
   {
      case 0:
         if ((active0 & 0x400L) != 0L)
         {
            jjmatchedKind = 46;
            return 41;
         }
         if ((active0 & 0x20000000000L) != 0L)
         {
            jjmatchedKind = 46;
            return 54;
         }
         if ((active0 & 0x2000000000000000L) != 0L)
            return 3;
         if ((active0 & 0x100000000L) != 0L)
         {
            jjmatchedKind = 46;
            return 11;
         }
         if ((active0 & 0x1000000000000000L) != 0L)
            return 0;
         if ((active1 & 0x8L) != 0L)
            return 28;
         if ((active0 & 0x10000000000000L) != 0L)
            return 14;
         if ((active0 & 0x8020000000L) != 0L)
         {
            jjmatchedKind = 46;
            return 44;
         }
         if ((active0 & 0x17ed7fff800L) != 0L)
         {
            jjmatchedKind = 46;
            return 55;
         }
         if ((active0 & 0x4000000000000000L) != 0L)
            return 56;
         return -1;
      case 1:
         if ((active0 & 0x80c04000L) != 0L)
            return 55;
         if ((active0 & 0x3ff773fbc00L) != 0L)
         {
            if (jjmatchedPos != 1)
            {
               jjmatchedKind = 46;
               jjmatchedPos = 1;
            }
            return 55;
         }
         return -1;
      case 2:
         if ((active0 & 0x140300000L) != 0L)
            return 55;
         if ((active0 & 0x3fe370ffc00L) != 0L)
         {
            jjmatchedKind = 46;
            jjmatchedPos = 2;
            return 55;
         }
         return -1;
      case 3:
         if ((active0 & 0x20000000400L) != 0L)
            return 55;
         if ((active0 & 0x1fe370ff800L) != 0L)
         {
            jjmatchedKind = 46;
            jjmatchedPos = 3;
            return 55;
         }
         return -1;
      case 4:
         if ((active0 & 0x20270c4000L) != 0L)
            return 55;
         if ((active0 & 0x1de1003b800L) != 0L)
         {
            jjmatchedKind = 46;
            jjmatchedPos = 4;
            return 55;
         }
         return -1;
      case 5:
         if ((active0 & 0x4400000800L) != 0L)
            return 55;
         if ((active0 & 0x19a1003b000L) != 0L)
         {
            jjmatchedKind = 46;
            jjmatchedPos = 5;
            return 55;
         }
         return -1;
      case 6:
         if ((active0 & 0x1180002b000L) != 0L)
            return 55;
         if ((active0 & 0x8210010000L) != 0L)
         {
            jjmatchedKind = 46;
            jjmatchedPos = 6;
            return 55;
         }
         return -1;
      case 7:
         if ((active0 & 0x8010010000L) != 0L)
            return 55;
         if ((active0 & 0x200000000L) != 0L)
         {
            jjmatchedKind = 46;
            jjmatchedPos = 7;
            return 55;
         }
         return -1;
      case 8:
         if ((active0 & 0x200000000L) != 0L)
         {
            jjmatchedKind = 46;
            jjmatchedPos = 8;
            return 55;
         }
         return -1;
      case 9:
         if ((active0 & 0x200000000L) != 0L)
         {
            jjmatchedKind = 46;
            jjmatchedPos = 9;
            return 55;
         }
         return -1;
      case 10:
         if ((active0 & 0x200000000L) != 0L)
         {
            jjmatchedKind = 46;
            jjmatchedPos = 10;
            return 55;
         }
         return -1;
      default :
         return -1;
   }
}
private final int jjStartNfa_0(int pos, long active0, long active1)
{
   return jjMoveNfa_0(jjStopStringLiteralDfa_0(pos, active0, active1), pos + 1);
}
private final int jjStopAtPos(int pos, int kind)
{
   jjmatchedKind = kind;
   jjmatchedPos = pos;
   return pos + 1;
}
private final int jjStartNfaWithStates_0(int pos, int kind, int state)
{
   jjmatchedKind = kind;
   jjmatchedPos = pos;
   try { curChar = input_stream.readChar(); }
   catch(java.io.IOException e) { return pos + 1; }
   return jjMoveNfa_0(state, pos + 1);
}
private final int jjMoveStringLiteralDfa0_0()
{
   switch(curChar)
   {
      case 36:
         return jjStartNfaWithStates_0(0, 67, 28);
      case 40:
         return jjStopAtPos(0, 54);
      case 41:
         return jjStopAtPos(0, 55);
      case 42:
         return jjStopAtPos(0, 27);
      case 43:
         return jjStopAtPos(0, 59);
      case 44:
         return jjStopAtPos(0, 56);
      case 45:
         return jjStartNfaWithStates_0(0, 60, 0);
      case 46:
         return jjStartNfaWithStates_0(0, 62, 56);
      case 47:
         return jjStartNfaWithStates_0(0, 61, 3);
      case 58:
         return jjStopAtPos(0, 64);
      case 59:
         return jjStopAtPos(0, 53);
      case 61:
         return jjStartNfaWithStates_0(0, 52, 14);
      case 63:
         return jjStopAtPos(0, 63);
      case 91:
         return jjStopAtPos(0, 65);
      case 93:
         return jjStopAtPos(0, 66);
      case 65:
      case 97:
         return jjMoveStringLiteralDfa1_0(0x40708000L);
      case 66:
      case 98:
         return jjMoveStringLiteralDfa1_0(0x800000L);
      case 67:
      case 99:
         return jjMoveStringLiteralDfa1_0(0x200060000L);
      case 68:
      case 100:
         return jjMoveStringLiteralDfa1_0(0x10000L);
      case 69:
      case 101:
         return jjMoveStringLiteralDfa1_0(0x20000000000L);
      case 70:
      case 102:
         return jjMoveStringLiteralDfa1_0(0x10000001800L);
      case 71:
      case 103:
         return jjMoveStringLiteralDfa1_0(0x8020000000L);
      case 72:
      case 104:
         return jjMoveStringLiteralDfa1_0(0x2000000000L);
      case 73:
      case 105:
         return jjMoveStringLiteralDfa1_0(0x2000000L);
      case 76:
      case 108:
         return jjMoveStringLiteralDfa1_0(0x400L);
      case 77:
      case 109:
         return jjMoveStringLiteralDfa1_0(0x1000002000L);
      case 78:
      case 110:
         return jjMoveStringLiteralDfa1_0(0x100000000L);
      case 79:
      case 111:
         return jjMoveStringLiteralDfa1_0(0x84004000L);
      case 80:
      case 112:
         return jjMoveStringLiteralDfa1_0(0x10000000L);
      case 83:
      case 115:
         return jjMoveStringLiteralDfa1_0(0x800000000L);
      case 84:
      case 116:
         return jjMoveStringLiteralDfa1_0(0x4000000000L);
      case 85:
      case 117:
         return jjMoveStringLiteralDfa1_0(0x1080000L);
      case 87:
      case 119:
         return jjMoveStringLiteralDfa1_0(0x400000000L);
      case 123:
         return jjStopAtPos(0, 57);
      case 125:
         return jjStopAtPos(0, 58);
      default :
         return jjMoveNfa_0(2, 0);
   }
}
private final int jjMoveStringLiteralDfa1_0(long active0)
{
   try { curChar = input_stream.readChar(); }
   catch(java.io.IOException e) {
      jjStopStringLiteralDfa_0(0, active0, 0L);
      return 1;
   }
   switch(curChar)
   {
      case 65:
      case 97:
         return jjMoveStringLiteralDfa2_0(active0, 0x10002000L);
      case 69:
      case 101:
         return jjMoveStringLiteralDfa2_0(active0, 0x8800000000L);
      case 73:
      case 105:
         return jjMoveStringLiteralDfa2_0(active0, 0x1400010800L);
      case 76:
      case 108:
         return jjMoveStringLiteralDfa2_0(active0, 0x10000100000L);
      case 78:
      case 110:
         return jjMoveStringLiteralDfa2_0(active0, 0x42280000L);
      case 79:
      case 111:
         return jjMoveStringLiteralDfa2_0(active0, 0x2300021400L);
      case 82:
      case 114:
         if ((active0 & 0x80000000L) != 0L)
         {
            jjmatchedKind = 31;
            jjmatchedPos = 1;
         }
         return jjMoveStringLiteralDfa2_0(active0, 0x2004c000L);
      case 83:
      case 115:
         if ((active0 & 0x400000L) != 0L)
            return jjStartNfaWithStates_0(1, 22, 55);
         return jjMoveStringLiteralDfa2_0(active0, 0x1000000L);
      case 85:
      case 117:
         return jjMoveStringLiteralDfa2_0(active0, 0x4004000000L);
      case 86:
      case 118:
         return jjMoveStringLiteralDfa2_0(active0, 0x20000000000L);
      case 89:
      case 121:
         if ((active0 & 0x800000L) != 0L)
            return jjStartNfaWithStates_0(1, 23, 55);
         break;
      default :
         break;
   }
   return jjStartNfa_0(0, active0, 0L);
}
private final int jjMoveStringLiteralDfa2_0(long old0, long active0)
{
   if (((active0 &= old0)) == 0L)
      return jjStartNfa_0(0, old0, 0L);
   try { curChar = input_stream.readChar(); }
   catch(java.io.IOException e) {
      jjStopStringLiteralDfa_0(1, active0, 0L);
      return 2;
   }
   switch(curChar)
   {
      case 65:
      case 97:
         return jjMoveStringLiteralDfa3_0(active0, 0x30000000400L);
      case 67:
      case 99:
         return jjMoveStringLiteralDfa3_0(active0, 0x800000000L);
      case 68:
      case 100:
         if ((active0 & 0x40000000L) != 0L)
            return jjStartNfaWithStates_0(2, 30, 55);
         return jjMoveStringLiteralDfa3_0(active0, 0x4000L);
      case 71:
      case 103:
         return jjMoveStringLiteralDfa3_0(active0, 0x20000L);
      case 73:
      case 105:
         return jjMoveStringLiteralDfa3_0(active0, 0x1080000L);
      case 76:
      case 108:
         if ((active0 & 0x100000L) != 0L)
            return jjStartNfaWithStates_0(2, 20, 55);
         return jjMoveStringLiteralDfa3_0(active0, 0x800L);
      case 78:
      case 110:
         return jjMoveStringLiteralDfa3_0(active0, 0x9602000000L);
      case 79:
      case 111:
         return jjMoveStringLiteralDfa3_0(active0, 0x20040000L);
      case 80:
      case 112:
         return jjMoveStringLiteralDfa3_0(active0, 0x4000000000L);
      case 82:
      case 114:
         return jjMoveStringLiteralDfa3_0(active0, 0x10009000L);
      case 83:
      case 115:
         return jjMoveStringLiteralDfa3_0(active0, 0x10000L);
      case 84:
      case 116:
         if ((active0 & 0x100000000L) != 0L)
            return jjStartNfaWithStates_0(2, 32, 55);
         return jjMoveStringLiteralDfa3_0(active0, 0x4002000L);
      case 85:
      case 117:
         return jjMoveStringLiteralDfa3_0(active0, 0x2000000000L);
      case 89:
      case 121:
         if ((active0 & 0x200000L) != 0L)
            return jjStartNfaWithStates_0(2, 21, 55);
         break;
      default :
         break;
   }
   return jjStartNfa_0(1, active0, 0L);
}
private final int jjMoveStringLiteralDfa3_0(long old0, long active0)
{
   if (((active0 &= old0)) == 0L)
      return jjStartNfa_0(1, old0, 0L);
   try { curChar = input_stream.readChar(); }
   catch(java.io.IOException e) {
      jjStopStringLiteralDfa_0(2, active0, 0L);
      return 3;
   }
   switch(curChar)
   {
      case 65:
      case 97:
         return jjMoveStringLiteralDfa4_0(active0, 0x10008000L);
      case 67:
      case 99:
         return jjMoveStringLiteralDfa4_0(active0, 0x2000L);
      case 68:
      case 100:
         if ((active0 & 0x400L) != 0L)
            return jjStartNfaWithStates_0(3, 10, 55);
         return jjMoveStringLiteralDfa4_0(active0, 0x400000000L);
      case 69:
      case 101:
         return jjMoveStringLiteralDfa4_0(active0, 0x8006005000L);
      case 76:
      case 108:
         if ((active0 & 0x20000000000L) != 0L)
            return jjStartNfaWithStates_0(3, 41, 55);
         return jjMoveStringLiteralDfa4_0(active0, 0x4000000000L);
      case 78:
      case 110:
         return jjMoveStringLiteralDfa4_0(active0, 0x1000000L);
      case 79:
      case 111:
         return jjMoveStringLiteralDfa4_0(active0, 0x800080000L);
      case 82:
      case 114:
         return jjMoveStringLiteralDfa4_0(active0, 0x2000020000L);
      case 83:
      case 115:
         return jjMoveStringLiteralDfa4_0(active0, 0x40000L);
      case 84:
      case 116:
         return jjMoveStringLiteralDfa4_0(active0, 0x10200010800L);
      case 85:
      case 117:
         return jjMoveStringLiteralDfa4_0(active0, 0x1020000000L);
      default :
         break;
   }
   return jjStartNfa_0(2, active0, 0L);
}
private final int jjMoveStringLiteralDfa4_0(long old0, long active0)
{
   if (((active0 &= old0)) == 0L)
      return jjStartNfa_0(2, old0, 0L);
   try { curChar = input_stream.readChar(); }
   catch(java.io.IOException e) {
      jjStopStringLiteralDfa_0(3, active0, 0L);
      return 4;
   }
   switch(curChar)
   {
      case 65:
      case 97:
         return jjMoveStringLiteralDfa5_0(active0, 0x1000L);
      case 69:
      case 101:
         return jjMoveStringLiteralDfa5_0(active0, 0x4000000800L);
      case 71:
      case 103:
         if ((active0 & 0x1000000L) != 0L)
            return jjStartNfaWithStates_0(4, 24, 55);
         break;
      case 72:
      case 104:
         return jjMoveStringLiteralDfa5_0(active0, 0x2000L);
      case 73:
      case 105:
         return jjMoveStringLiteralDfa5_0(active0, 0x200010000L);
      case 76:
      case 108:
         return jjMoveStringLiteralDfa5_0(active0, 0x10000000L);
      case 78:
      case 110:
         if ((active0 & 0x80000L) != 0L)
            return jjStartNfaWithStates_0(4, 19, 55);
         return jjMoveStringLiteralDfa5_0(active0, 0x800008000L);
      case 79:
      case 111:
         return jjMoveStringLiteralDfa5_0(active0, 0x400020000L);
      case 80:
      case 112:
         if ((active0 & 0x20000000L) != 0L)
            return jjStartNfaWithStates_0(4, 29, 55);
         break;
      case 82:
      case 114:
         if ((active0 & 0x4000L) != 0L)
            return jjStartNfaWithStates_0(4, 14, 55);
         else if ((active0 & 0x2000000L) != 0L)
            return jjStartNfaWithStates_0(4, 25, 55);
         else if ((active0 & 0x4000000L) != 0L)
            return jjStartNfaWithStates_0(4, 26, 55);
         return jjMoveStringLiteralDfa5_0(active0, 0x8000000000L);
      case 83:
      case 115:
         if ((active0 & 0x40000L) != 0L)
            return jjStartNfaWithStates_0(4, 18, 55);
         else if ((active0 & 0x2000000000L) != 0L)
            return jjStartNfaWithStates_0(4, 37, 55);
         break;
      case 84:
      case 116:
         return jjMoveStringLiteralDfa5_0(active0, 0x11000000000L);
      default :
         break;
   }
   return jjStartNfa_0(3, active0, 0L);
}
private final int jjMoveStringLiteralDfa5_0(long old0, long active0)
{
   if (((active0 &= old0)) == 0L)
      return jjStartNfa_0(3, old0, 0L);
   try { curChar = input_stream.readChar(); }
   catch(java.io.IOException e) {
      jjStopStringLiteralDfa_0(4, active0, 0L);
      return 5;
   }
   switch(curChar)
   {
      case 65:
      case 97:
         return jjMoveStringLiteralDfa6_0(active0, 0x8000000000L);
      case 67:
      case 99:
         return jjMoveStringLiteralDfa6_0(active0, 0x1000L);
      case 68:
      case 100:
         return jjMoveStringLiteralDfa6_0(active0, 0x800000000L);
      case 69:
      case 101:
         return jjMoveStringLiteralDfa6_0(active0, 0x11000002000L);
      case 71:
      case 103:
         return jjMoveStringLiteralDfa6_0(active0, 0x8000L);
      case 76:
      case 108:
         return jjMoveStringLiteralDfa6_0(active0, 0x10000000L);
      case 78:
      case 110:
         return jjMoveStringLiteralDfa6_0(active0, 0x200010000L);
      case 82:
      case 114:
         if ((active0 & 0x800L) != 0L)
            return jjStartNfaWithStates_0(5, 11, 55);
         break;
      case 83:
      case 115:
         if ((active0 & 0x4000000000L) != 0L)
            return jjStartNfaWithStates_0(5, 38, 55);
         break;
      case 85:
      case 117:
         return jjMoveStringLiteralDfa6_0(active0, 0x20000L);
      case 87:
      case 119:
         if ((active0 & 0x400000000L) != 0L)
            return jjStartNfaWithStates_0(5, 34, 55);
         break;
      default :
         break;
   }
   return jjStartNfa_0(4, active0, 0L);
}
private final int jjMoveStringLiteralDfa6_0(long old0, long active0)
{
   if (((active0 &= old0)) == 0L)
      return jjStartNfa_0(4, old0, 0L);
   try { curChar = input_stream.readChar(); }
   catch(java.io.IOException e) {
      jjStopStringLiteralDfa_0(5, active0, 0L);
      return 6;
   }
   switch(curChar)
   {
      case 67:
      case 99:
         return jjMoveStringLiteralDfa7_0(active0, 0x10000L);
      case 69:
      case 101:
         if ((active0 & 0x8000L) != 0L)
            return jjStartNfaWithStates_0(6, 15, 55);
         return jjMoveStringLiteralDfa7_0(active0, 0x10000000L);
      case 72:
      case 104:
         if ((active0 & 0x1000L) != 0L)
            return jjStartNfaWithStates_0(6, 12, 55);
         break;
      case 78:
      case 110:
         if ((active0 & 0x10000000000L) != 0L)
            return jjStartNfaWithStates_0(6, 40, 55);
         break;
      case 80:
      case 112:
         if ((active0 & 0x20000L) != 0L)
            return jjStartNfaWithStates_0(6, 17, 55);
         break;
      case 83:
      case 115:
         if ((active0 & 0x2000L) != 0L)
            return jjStartNfaWithStates_0(6, 13, 55);
         else if ((active0 & 0x800000000L) != 0L)
            return jjStartNfaWithStates_0(6, 35, 55);
         else if ((active0 & 0x1000000000L) != 0L)
            return jjStartNfaWithStates_0(6, 36, 55);
         break;
      case 84:
      case 116:
         return jjMoveStringLiteralDfa7_0(active0, 0x8000000000L);
      case 85:
      case 117:
         return jjMoveStringLiteralDfa7_0(active0, 0x200000000L);
      default :
         break;
   }
   return jjStartNfa_0(5, active0, 0L);
}
private final int jjMoveStringLiteralDfa7_0(long old0, long active0)
{
   if (((active0 &= old0)) == 0L)
      return jjStartNfa_0(5, old0, 0L);
   try { curChar = input_stream.readChar(); }
   catch(java.io.IOException e) {
      jjStopStringLiteralDfa_0(6, active0, 0L);
      return 7;
   }
   switch(curChar)
   {
      case 69:
      case 101:
         if ((active0 & 0x8000000000L) != 0L)
            return jjStartNfaWithStates_0(7, 39, 55);
         break;
      case 76:
      case 108:
         if ((active0 & 0x10000000L) != 0L)
            return jjStartNfaWithStates_0(7, 28, 55);
         break;
      case 79:
      case 111:
         return jjMoveStringLiteralDfa8_0(active0, 0x200000000L);
      case 84:
      case 116:
         if ((active0 & 0x10000L) != 0L)
            return jjStartNfaWithStates_0(7, 16, 55);
         break;
      default :
         break;
   }
   return jjStartNfa_0(6, active0, 0L);
}
private final int jjMoveStringLiteralDfa8_0(long old0, long active0)
{
   if (((active0 &= old0)) == 0L)
      return jjStartNfa_0(6, old0, 0L);
   try { curChar = input_stream.readChar(); }
   catch(java.io.IOException e) {
      jjStopStringLiteralDfa_0(7, active0, 0L);
      return 8;
   }
   switch(curChar)
   {
      case 85:
      case 117:
         return jjMoveStringLiteralDfa9_0(active0, 0x200000000L);
      default :
         break;
   }
   return jjStartNfa_0(7, active0, 0L);
}
private final int jjMoveStringLiteralDfa9_0(long old0, long active0)
{
   if (((active0 &= old0)) == 0L)
      return jjStartNfa_0(7, old0, 0L);
   try { curChar = input_stream.readChar(); }
   catch(java.io.IOException e) {
      jjStopStringLiteralDfa_0(8, active0, 0L);
      return 9;
   }
   switch(curChar)
   {
      case 83:
      case 115:
         return jjMoveStringLiteralDfa10_0(active0, 0x200000000L);
      default :
         break;
   }
   return jjStartNfa_0(8, active0, 0L);
}
private final int jjMoveStringLiteralDfa10_0(long old0, long active0)
{
   if (((active0 &= old0)) == 0L)
      return jjStartNfa_0(8, old0, 0L);
   try { curChar = input_stream.readChar(); }
   catch(java.io.IOException e) {
      jjStopStringLiteralDfa_0(9, active0, 0L);
      return 10;
   }
   switch(curChar)
   {
      case 76:
      case 108:
         return jjMoveStringLiteralDfa11_0(active0, 0x200000000L);
      default :
         break;
   }
   return jjStartNfa_0(9, active0, 0L);
}
private final int jjMoveStringLiteralDfa11_0(long old0, long active0)
{
   if (((active0 &= old0)) == 0L)
      return jjStartNfa_0(9, old0, 0L);
   try { curChar = input_stream.readChar(); }
   catch(java.io.IOException e) {
      jjStopStringLiteralDfa_0(10, active0, 0L);
      return 11;
   }
   switch(curChar)
   {
      case 89:
      case 121:
         if ((active0 & 0x200000000L) != 0L)
            return jjStartNfaWithStates_0(11, 33, 55);
         break;
      default :
         break;
   }
   return jjStartNfa_0(10, active0, 0L);
}
private final void jjCheckNAdd(int state)
{
   if (jjrounds[state] != jjround)
   {
      jjstateSet[jjnewStateCnt++] = state;
      jjrounds[state] = jjround;
   }
}
private final void jjAddStates(int start, int end)
{
   do {
      jjstateSet[jjnewStateCnt++] = jjnextStates[start];
   } while (start++ != end);
}
private final void jjCheckNAddTwoStates(int state1, int state2)
{
   jjCheckNAdd(state1);
   jjCheckNAdd(state2);
}
private final void jjCheckNAddStates(int start, int end)
{
   do {
      jjCheckNAdd(jjnextStates[start]);
   } while (start++ != end);
}
private final void jjCheckNAddStates(int start)
{
   jjCheckNAdd(jjnextStates[start]);
   jjCheckNAdd(jjnextStates[start + 1]);
}
static final long[] jjbitVec0 = {
   0x0L, 0x0L, 0xffffffffffffffffL, 0xffffffffffffffffL
};
private final int jjMoveNfa_0(int startState, int curPos)
{
   int[] nextStates;
   int startsAt = 0;
   jjnewStateCnt = 54;
   int i = 1;
   jjstateSet[0] = startState;
   int j, kind = 0x7fffffff;
   for (;;)
   {
      if (++jjround == 0x7fffffff)
         ReInitRounds();
      if (curChar < 64)
      {
         long l = 1L << curChar;
         MatchLoop: do
         {
            switch(jjstateSet[--i])
            {
               case 11:
                  if ((0x3ff000000000000L & l) != 0L)
                  {
                     if (kind > 46)
                        kind = 46;
                     jjCheckNAddTwoStates(21, 23);
                  }
                  else if (curChar == 58)
                     jjstateSet[jjnewStateCnt++] = 22;
                  break;
               case 54:
                  if ((0x3ff000000000000L & l) != 0L)
                  {
                     if (kind > 46)
                        kind = 46;
                     jjCheckNAddTwoStates(21, 23);
                  }
                  else if (curChar == 58)
                     jjstateSet[jjnewStateCnt++] = 22;
                  break;
               case 41:
                  if ((0x3ff000000000000L & l) != 0L)
                  {
                     if (kind > 46)
                        kind = 46;
                     jjCheckNAddTwoStates(21, 23);
                  }
                  else if (curChar == 58)
                     jjstateSet[jjnewStateCnt++] = 22;
                  break;
               case 44:
                  if ((0x3ff000000000000L & l) != 0L)
                  {
                     if (kind > 46)
                        kind = 46;
                     jjCheckNAddTwoStates(21, 23);
                  }
                  else if (curChar == 58)
                     jjstateSet[jjnewStateCnt++] = 22;
                  break;
               case 55:
                  if ((0x3ff000000000000L & l) != 0L)
                  {
                     if (kind > 46)
                        kind = 46;
                     jjCheckNAddTwoStates(21, 23);
                  }
                  else if (curChar == 58)
                     jjstateSet[jjnewStateCnt++] = 22;
                  break;
               case 56:
                  if ((0x3ff000000000000L & l) != 0L)
                  {
                     if (kind > 47)
                        kind = 47;
                     jjCheckNAdd(38);
                  }
                  if ((0x3ff000000000000L & l) != 0L)
                  {
                     if (kind > 47)
                        kind = 47;
                     jjCheckNAddTwoStates(30, 31);
                  }
                  break;
               case 2:
                  if ((0x3ff000000000000L & l) != 0L)
                  {
                     if (kind > 47)
                        kind = 47;
                     jjCheckNAddStates(0, 6);
                  }
                  else if ((0x5000000000000000L & l) != 0L)
                  {
                     if (kind > 9)
                        kind = 9;
                  }
                  else if (curChar == 46)
                     jjCheckNAddTwoStates(30, 38);
                  else if (curChar == 36)
                     jjCheckNAdd(28);
                  else if (curChar == 39)
                     jjCheckNAddTwoStates(25, 26);
                  else if (curChar == 61)
                     jjCheckNAdd(14);
                  else if (curChar == 33)
                     jjCheckNAdd(14);
                  else if (curChar == 47)
                     jjstateSet[jjnewStateCnt++] = 3;
                  else if (curChar == 45)
                     jjstateSet[jjnewStateCnt++] = 0;
                  if (curChar == 60)
                     jjCheckNAdd(14);
                  else if (curChar == 62)
                     jjCheckNAdd(14);
                  break;
               case 0:
                  if (curChar != 45)
                     break;
                  if (kind > 5)
                     kind = 5;
                  jjCheckNAdd(1);
                  break;
               case 1:
                  if ((0xffffffffffffdbffL & l) == 0L)
                     break;
                  if (kind > 5)
                     kind = 5;
                  jjCheckNAdd(1);
                  break;
               case 3:
                  if (curChar == 42)
                     jjCheckNAddTwoStates(4, 5);
                  break;
               case 4:
                  if ((0xfffffbffffffffffL & l) != 0L)
                     jjCheckNAddTwoStates(4, 5);
                  break;
               case 5:
                  if (curChar == 42)
                     jjCheckNAddStates(7, 9);
                  break;
               case 6:
                  if ((0xffff7bffffffffffL & l) != 0L)
                     jjCheckNAddTwoStates(7, 5);
                  break;
               case 7:
                  if ((0xfffffbffffffffffL & l) != 0L)
                     jjCheckNAddTwoStates(7, 5);
                  break;
               case 8:
                  if (curChar == 47 && kind > 6)
                     kind = 6;
                  break;
               case 9:
                  if (curChar == 47)
                     jjstateSet[jjnewStateCnt++] = 3;
                  break;
               case 14:
                  if (curChar == 61 && kind > 9)
                     kind = 9;
                  break;
               case 15:
                  if (curChar == 33)
                     jjCheckNAdd(14);
                  break;
               case 16:
                  if (curChar == 62)
                     jjCheckNAdd(14);
                  break;
               case 17:
                  if ((0x5000000000000000L & l) != 0L && kind > 9)
                     kind = 9;
                  break;
               case 18:
                  if (curChar == 60)
                     jjCheckNAdd(14);
                  break;
               case 19:
                  if (curChar == 61)
                     jjCheckNAdd(14);
                  break;
               case 21:
                  if ((0x3ff000000000000L & l) == 0L)
                     break;
                  if (kind > 46)
                     kind = 46;
                  jjCheckNAddTwoStates(21, 23);
                  break;
               case 22:
                  if (curChar != 58)
                     break;
                  if (kind > 46)
                     kind = 46;
                  jjCheckNAddTwoStates(21, 23);
                  break;
               case 23:
                  if (curChar == 58)
                     jjstateSet[jjnewStateCnt++] = 22;
                  break;
               case 24:
                  if (curChar == 39)
                     jjCheckNAddTwoStates(25, 26);
                  break;
               case 25:
                  if ((0xffffff7fffffffffL & l) != 0L)
                     jjCheckNAddTwoStates(25, 26);
                  break;
               case 26:
                  if (curChar == 39 && kind > 50)
                     kind = 50;
                  break;
               case 27:
                  if (curChar == 36)
                     jjCheckNAdd(28);
                  break;
               case 28:
                  if ((0x3ff000000000000L & l) == 0L)
                     break;
                  if (kind > 51)
                     kind = 51;
                  jjCheckNAdd(28);
                  break;
               case 29:
                  if (curChar == 46)
                     jjCheckNAddTwoStates(30, 38);
                  break;
               case 30:
                  if ((0x3ff000000000000L & l) == 0L)
                     break;
                  if (kind > 47)
                     kind = 47;
                  jjCheckNAddTwoStates(30, 31);
                  break;
               case 32:
                  if ((0x280000000000L & l) != 0L)
                     jjCheckNAddTwoStates(33, 36);
                  break;
               case 33:
                  if ((0x3ff000000000000L & l) == 0L)
                     break;
                  if (kind > 47)
                     kind = 47;
                  jjCheckNAddTwoStates(33, 34);
                  break;
               case 34:
                  if (curChar == 46)
                     jjCheckNAdd(35);
                  break;
               case 35:
                  if ((0x3ff000000000000L & l) == 0L)
                     break;
                  if (kind > 47)
                     kind = 47;
                  jjCheckNAdd(35);
                  break;
               case 36:
                  if (curChar == 46)
                     jjCheckNAdd(37);
                  break;
               case 37:
                  if ((0x3ff000000000000L & l) == 0L)
                     break;
                  if (kind > 47)
                     kind = 47;
                  jjCheckNAdd(37);
                  break;
               case 38:
                  if ((0x3ff000000000000L & l) == 0L)
                     break;
                  if (kind > 47)
                     kind = 47;
                  jjCheckNAdd(38);
                  break;
               case 45:
                  if ((0x3ff000000000000L & l) == 0L)
                     break;
                  if (kind > 47)
                     kind = 47;
                  jjCheckNAddStates(0, 6);
                  break;
               case 46:
                  if ((0x3ff000000000000L & l) == 0L)
                     break;
                  if (kind > 47)
                     kind = 47;
                  jjCheckNAdd(46);
                  break;
               case 47:
                  if ((0x3ff000000000000L & l) == 0L)
                     break;
                  if (kind > 47)
                     kind = 47;
                  jjCheckNAddStates(10, 12);
                  break;
               case 48:
                  if (curChar == 46)
                     jjCheckNAdd(49);
                  break;
               case 49:
                  if ((0x3ff000000000000L & l) == 0L)
                     break;
                  if (kind > 47)
                     kind = 47;
                  jjCheckNAddTwoStates(49, 31);
                  break;
               case 50:
                  if ((0x3ff000000000000L & l) == 0L)
                     break;
                  if (kind > 47)
                     kind = 47;
                  jjCheckNAddTwoStates(50, 51);
                  break;
               case 51:
                  if (curChar == 46)
                     jjCheckNAdd(52);
                  break;
               case 52:
                  if ((0x3ff000000000000L & l) == 0L)
                     break;
                  if (kind > 47)
                     kind = 47;
                  jjCheckNAdd(52);
                  break;
               case 53:
                  if ((0x3ff000000000000L & l) == 0L)
                     break;
                  if (kind > 49)
                     kind = 49;
                  jjCheckNAdd(53);
                  break;
               default : break;
            }
         } while(i != startsAt);
      }
      else if (curChar < 128)
      {
         long l = 1L << (curChar & 077);
         MatchLoop: do
         {
            switch(jjstateSet[--i])
            {
               case 11:
                  if ((0x7fffffe87fffffeL & l) != 0L)
                  {
                     if (kind > 46)
                        kind = 46;
                     jjCheckNAddTwoStates(21, 23);
                  }
                  if ((0x7fffffe07fffffeL & l) != 0L)
                  {
                     if (kind > 46)
                        kind = 46;
                     jjCheckNAddStates(13, 15);
                  }
                  if ((0x2000000020L & l) != 0L)
                     jjCheckNAdd(10);
                  break;
               case 54:
                  if ((0x7fffffe87fffffeL & l) != 0L)
                  {
                     if (kind > 46)
                        kind = 46;
                     jjCheckNAddTwoStates(21, 23);
                  }
                  if ((0x7fffffe07fffffeL & l) != 0L)
                  {
                     if (kind > 46)
                        kind = 46;
                     jjCheckNAddStates(13, 15);
                  }
                  if ((0x2000000020000L & l) != 0L)
                  {
                     if (kind > 9)
                        kind = 9;
                  }
                  break;
               case 41:
                  if ((0x7fffffe87fffffeL & l) != 0L)
                  {
                     if (kind > 46)
                        kind = 46;
                     jjCheckNAddTwoStates(21, 23);
                  }
                  if ((0x7fffffe07fffffeL & l) != 0L)
                  {
                     if (kind > 46)
                        kind = 46;
                     jjCheckNAddStates(13, 15);
                  }
                  if ((0x10000000100000L & l) != 0L)
                  {
                     if (kind > 9)
                        kind = 9;
                  }
                  if ((0x10000000100000L & l) != 0L)
                     jjCheckNAdd(40);
                  break;
               case 44:
                  if ((0x7fffffe87fffffeL & l) != 0L)
                  {
                     if (kind > 46)
                        kind = 46;
                     jjCheckNAddTwoStates(21, 23);
                  }
                  if ((0x7fffffe07fffffeL & l) != 0L)
                  {
                     if (kind > 46)
                        kind = 46;
                     jjCheckNAddStates(13, 15);
                  }
                  if ((0x10000000100000L & l) != 0L)
                  {
                     if (kind > 9)
                        kind = 9;
                  }
                  if ((0x10000000100000L & l) != 0L)
                     jjCheckNAdd(40);
                  break;
               case 55:
                  if ((0x7fffffe87fffffeL & l) != 0L)
                  {
                     if (kind > 46)
                        kind = 46;
                     jjCheckNAddTwoStates(21, 23);
                  }
                  if ((0x7fffffe07fffffeL & l) != 0L)
                  {
                     if (kind > 46)
                        kind = 46;
                     jjCheckNAddStates(13, 15);
                  }
                  break;
               case 2:
                  if ((0x7fffffe07fffffeL & l) != 0L)
                  {
                     if (kind > 46)
                        kind = 46;
                     jjCheckNAddStates(13, 15);
                  }
                  if ((0x8000000080L & l) != 0L)
                     jjCheckNAddTwoStates(44, 42);
                  else if ((0x100000001000L & l) != 0L)
                     jjCheckNAddTwoStates(41, 42);
                  else if ((0x2000000020L & l) != 0L)
                     jjCheckNAdd(10);
                  else if ((0x400000004000L & l) != 0L)
                     jjstateSet[jjnewStateCnt++] = 11;
                  break;
               case 1:
                  if (kind > 5)
                     kind = 5;
                  jjstateSet[jjnewStateCnt++] = 1;
                  break;
               case 4:
                  jjCheckNAddTwoStates(4, 5);
                  break;
               case 6:
               case 7:
                  jjCheckNAddTwoStates(7, 5);
                  break;
               case 10:
                  if ((0x2000000020000L & l) != 0L && kind > 9)
                     kind = 9;
                  break;
               case 12:
                  if ((0x400000004000L & l) != 0L)
                     jjstateSet[jjnewStateCnt++] = 11;
                  break;
               case 13:
                  if ((0x2000000020L & l) != 0L)
                     jjCheckNAdd(10);
                  break;
               case 20:
                  if ((0x7fffffe07fffffeL & l) == 0L)
                     break;
                  if (kind > 46)
                     kind = 46;
                  jjCheckNAddStates(13, 15);
                  break;
               case 21:
                  if ((0x7fffffe87fffffeL & l) == 0L)
                     break;
                  if (kind > 46)
                     kind = 46;
                  jjCheckNAddTwoStates(21, 23);
                  break;
               case 25:
                  jjAddStates(16, 17);
                  break;
               case 31:
                  if ((0x2000000020L & l) != 0L)
                     jjAddStates(18, 20);
                  break;
               case 39:
                  if ((0x100000001000L & l) != 0L)
                     jjCheckNAddTwoStates(41, 42);
                  break;
               case 40:
                  if ((0x2000000020L & l) != 0L && kind > 9)
                     kind = 9;
                  break;
               case 42:
                  if ((0x10000000100000L & l) != 0L && kind > 9)
                     kind = 9;
                  break;
               case 43:
                  if ((0x8000000080L & l) != 0L)
                     jjCheckNAddTwoStates(44, 42);
                  break;
               default : break;
            }
         } while(i != startsAt);
      }
      else
      {
         int i2 = (curChar & 0xff) >> 6;
         long l2 = 1L << (curChar & 077);
         MatchLoop: do
         {
            switch(jjstateSet[--i])
            {
               case 1:
                  if ((jjbitVec0[i2] & l2) == 0L)
                     break;
                  if (kind > 5)
                     kind = 5;
                  jjstateSet[jjnewStateCnt++] = 1;
                  break;
               case 4:
                  if ((jjbitVec0[i2] & l2) != 0L)
                     jjCheckNAddTwoStates(4, 5);
                  break;
               case 6:
               case 7:
                  if ((jjbitVec0[i2] & l2) != 0L)
                     jjCheckNAddTwoStates(7, 5);
                  break;
               case 25:
                  if ((jjbitVec0[i2] & l2) != 0L)
                     jjAddStates(16, 17);
                  break;
               default : break;
            }
         } while(i != startsAt);
      }
      if (kind != 0x7fffffff)
      {
         jjmatchedKind = kind;
         jjmatchedPos = curPos;
         kind = 0x7fffffff;
      }
      ++curPos;
      if ((i = jjnewStateCnt) == (startsAt = 54 - (jjnewStateCnt = startsAt)))
         return curPos;
      try { curChar = input_stream.readChar(); }
      catch(java.io.IOException e) { return curPos; }
   }
}
static final int[] jjnextStates = {
   46, 47, 48, 31, 50, 51, 53, 5, 6, 8, 47, 48, 31, 20, 21, 23, 
   25, 26, 32, 33, 36, 
};
public static final String[] jjstrLiteralImages = {
"", null, null, null, null, null, null, null, null, null, null, null, null, 
null, null, null, null, null, null, null, null, null, null, null, null, null, null, 
"\52", null, null, null, null, null, null, null, null, null, null, null, null, null, 
null, null, null, null, null, null, null, null, null, null, null, "\75", "\73", 
"\50", "\51", "\54", "\173", "\175", "\53", "\55", "\57", "\56", "\77", "\72", 
"\133", "\135", "\44", };
public static final String[] lexStateNames = {
   "DEFAULT", 
};
static final long[] jjtoToken = {
   0xfffec3fffffffe01L, 0xfL, 
};
static final long[] jjtoSkip = {
   0x7eL, 0x0L, 
};
protected SimpleCharStream input_stream;
private final int[] jjrounds = new int[54];
private final int[] jjstateSet = new int[108];
protected char curChar;
public QueryParserTokenManager(SimpleCharStream stream){
   if (SimpleCharStream.staticFlag)
      throw new Error("ERROR: Cannot use a static CharStream class with a non-static lexical analyzer.");
   input_stream = stream;
}
public QueryParserTokenManager(SimpleCharStream stream, int lexState){
   this(stream);
   SwitchTo(lexState);
}
public void ReInit(SimpleCharStream stream)
{
   jjmatchedPos = jjnewStateCnt = 0;
   curLexState = defaultLexState;
   input_stream = stream;
   ReInitRounds();
}
private final void ReInitRounds()
{
   int i;
   jjround = 0x80000001;
   for (i = 54; i-- > 0;)
      jjrounds[i] = 0x80000000;
}
public void ReInit(SimpleCharStream stream, int lexState)
{
   ReInit(stream);
   SwitchTo(lexState);
}
public void SwitchTo(int lexState)
{
   if (lexState >= 1 || lexState < 0)
      throw new TokenMgrError("Error: Ignoring invalid lexical state : " + lexState + ". State unchanged.", TokenMgrError.INVALID_LEXICAL_STATE);
   else
      curLexState = lexState;
}

protected Token jjFillToken()
{
   Token t = Token.newToken(jjmatchedKind);
   t.kind = jjmatchedKind;
   String im = jjstrLiteralImages[jjmatchedKind];
   t.image = (im == null) ? input_stream.GetImage() : im;
   t.beginLine = input_stream.getBeginLine();
   t.beginColumn = input_stream.getBeginColumn();
   t.endLine = input_stream.getEndLine();
   t.endColumn = input_stream.getEndColumn();
   return t;
}

int curLexState = 0;
int defaultLexState = 0;
int jjnewStateCnt;
int jjround;
int jjmatchedPos;
int jjmatchedKind;

public Token getNextToken() 
{
  int kind;
  Token specialToken = null;
  Token matchedToken;
  int curPos = 0;

  EOFLoop :
  for (;;)
  {   
   try   
   {     
      curChar = input_stream.BeginToken();
   }     
   catch(java.io.IOException e)
   {        
      jjmatchedKind = 0;
      matchedToken = jjFillToken();
      return matchedToken;
   }

   try { input_stream.backup(0);
      while (curChar <= 32 && (0x100002600L & (1L << curChar)) != 0L)
         curChar = input_stream.BeginToken();
   }
   catch (java.io.IOException e1) { continue EOFLoop; }
   jjmatchedKind = 0x7fffffff;
   jjmatchedPos = 0;
   curPos = jjMoveStringLiteralDfa0_0();
   if (jjmatchedKind != 0x7fffffff)
   {
      if (jjmatchedPos + 1 < curPos)
         input_stream.backup(curPos - jjmatchedPos - 1);
      if ((jjtoToken[jjmatchedKind >> 6] & (1L << (jjmatchedKind & 077))) != 0L)
      {
         matchedToken = jjFillToken();
         return matchedToken;
      }
      else
      {
         continue EOFLoop;
      }
   }
   int error_line = input_stream.getEndLine();
   int error_column = input_stream.getEndColumn();
   String error_after = null;
   boolean EOFSeen = false;
   try { input_stream.readChar(); input_stream.backup(1); }
   catch (java.io.IOException e1) {
      EOFSeen = true;
      error_after = curPos <= 1 ? "" : input_stream.GetImage();
      if (curChar == '\n' || curChar == '\r') {
         error_line++;
         error_column = 0;
      }
      else
         error_column++;
   }
   if (!EOFSeen) {
      input_stream.backup(1);
      error_after = curPos <= 1 ? "" : input_stream.GetImage();
   }
   throw new TokenMgrError(EOFSeen, curLexState, error_line, error_column, error_after, curChar, TokenMgrError.LEXICAL_ERROR);
  }
}

}
